from sqlmodel import SQLModel, Field


class VPC(SQLModel, table=True):
    # ID of the VPC
    id: str = Field(default=None, primary_key=True)

    # Base IPv4
    cidr: str

    # Owning user
    owner_id: int = Field(foreign_key="user.id")
